using System;
using Baza_Reklam.Classes.Interfaces;

namespace Baza_Reklam.Classes.Model
{
    public class Invoice : IEntity
    {
        private int _id;
        private string _label;
        private decimal _amount;
        private DateTime _date;
        private int _weekNumber;
        private decimal _paidAmount;
        private bool _isCorrectionInvoice;
        private string _currency;

        public int Id
        {
            get { return _id; }
            set { _id = value; }
        }

        public string Label
        {
            get { return _label; }
            set { _label = value; }
        }

        public decimal Amount
        {
            get { return _amount; }
            set { _amount = value; }
        }

        public DateTime Date
        {
            get { return _date; }
            set { _date = value; }
        }

        public int WeekNumber
        {
            get { return _weekNumber; }
            set { _weekNumber = value; }
        }

        public decimal PaidAmount
        {
            get { return _paidAmount; }
            set { _paidAmount = value; }
        }

        public bool IsCorrectionInvoice
        {
            get { return _isCorrectionInvoice; }
            set { _isCorrectionInvoice = value; }
        }

        public string Currency
        {
            get { return _currency; }
            set { _currency = value; }
        }
    }
}